Subject: Re: bug#60703: Patches to xwidget code

From: Andrew De Angelis <[email-masked]>
Date: Thu, 23 Feb 2023 22:47:41 -0500

Let me know if this ChangeLog is fine or you'd like me to make any changes.

The first line of a doc string should be a single complete sentence.
I'm not sure I follow: in this case, isn't  this the first line: "Get the
estimated load progress of XWIDGET, a WebKit widget."? It renders fine when
I run `M-x apropos xwidget-webkit-estimated-load-progress`. But happy to
make any additional changes if needed.

On Wed, Feb 22, 2023 at 8:26 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Andrew De Angelis <[email-masked]>
> > Date: Tue, 21 Feb 2023 00:24:06 -0500
> > Cc: [email-masked], [email-masked]
> >
> > Done. (git diff forked/emacs-29 > emacs-29-xwidget-patches.patch)
> >
> > Let me know if there's anything I should do. Thanks!
>
> Thanks, what is missing now is the commit log message.  Please see
> CONTRIBUTE and the examples in the Git repository, for how we format
> the log messages.
>
> One minor comment to the code:
>
> > +DEFUN ("xwidget-webkit-estimated-load-progress",
> > +       Fxwidget_webkit_estimated_load_progress,
> Sxwidget_webkit_estimated_load_progress,
> > +       1, 1, 0, doc: /* Get the estimated load progress of XWIDGET, a
> WebKit widget.
> > +Return a value ranging from 0.0 to 1.0, based on how close XWIDGET
> > +is to completely loading its page.  */)
>
> The first line of a doc string should be a single complete sentence.
> This is because commands like "M-x apropos" show only the first line.
>
> (Yes, I'm aware that you just moved existing code, but still: let's
> fix this while we are at that.)
>